'use strict';

exports.__esModule = true;
exports.readSucceed = exports.readIdle = exports.readFail = exports.read = undefined;

var _reducerGenerator = require('../utils/reducer-generator');

var _reducerGenerator2 = _interopRequireDefault(_reducerGenerator);

var _cruReducerHelper = require('../utils/cru-reducer-helper');

var _cruReducerHelper2 = _interopRequireDefault(_cruReducerHelper);

var _requestStatuses = require('../utils/request-statuses');

var _requestStatuses2 = _interopRequireDefault(_requestStatuses);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const read = (0, _reducerGenerator2.default)('read', _requestStatuses2.default.PENDING);
const readFail = (0, _reducerGenerator2.default)('read', _requestStatuses2.default.FAILED);
const readIdle = (0, _reducerGenerator2.default)('read', _requestStatuses2.default.IDLE);

function readSucceed(state, action, options) {
  return (0, _cruReducerHelper2.default)(state, action, options, {
    readStatus: _requestStatuses2.default.SUCCEEDED
  });
}

exports.read = read;
exports.readFail = readFail;
exports.readIdle = readIdle;
exports.readSucceed = readSucceed;