'use strict';

exports.__esModule = true;
exports.getResources = exports.getStatus = exports.upsertResources = exports.setResourceMeta = exports.requestStatuses = exports.actionTypes = exports.resourceReducer = undefined;

var _resourceReducer = require('./resource-reducer');

var _resourceReducer2 = _interopRequireDefault(_resourceReducer);

var _actionTypes = require('./action-types');

var _actionTypes2 = _interopRequireDefault(_actionTypes);

var _requestStatuses = require('./utils/request-statuses');

var _requestStatuses2 = _interopRequireDefault(_requestStatuses);

var _setResourceMeta = require('./utils/set-resource-meta');

var _setResourceMeta2 = _interopRequireDefault(_setResourceMeta);

var _upsertResources = require('./utils/upsert-resources');

var _upsertResources2 = _interopRequireDefault(_upsertResources);

var _getStatus = require('./utils/get-status');

var _getStatus2 = _interopRequireDefault(_getStatus);

var _getResources = require('./utils/get-resources');

var _getResources2 = _interopRequireDefault(_getResources);

var _warning = require('./utils/warning');

var _warning2 = _interopRequireDefault(_warning);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-empty-function */
/*
* This is a dummy function to check if the function name has been altered by minification.
* If the function has been minified and NODE_ENV !== 'production', warn the user.
*/
function isCrushed() {}
/* eslint-disable no-empty-function */

if (process.env.NODE_ENV !== 'production' && typeof isCrushed.name === 'string' && isCrushed.name !== 'isCrushed') {
  (0, _warning2.default)("You are currently using minified code outside of NODE_ENV === 'production'. " + 'This means that you are running a slower development build of Redux Resource. ' + 'You can use loose-envify (https://github.com/zertosh/loose-envify) for browserify ' + 'or DefinePlugin for webpack (http://stackoverflow.com/questions/30030031) ' + 'to ensure you have the correct code for your production build.', 'MINIFIED');
}

exports.resourceReducer = _resourceReducer2.default;
exports.actionTypes = _actionTypes2.default;
exports.requestStatuses = _requestStatuses2.default;
exports.setResourceMeta = _setResourceMeta2.default;
exports.upsertResources = _upsertResources2.default;
exports.getStatus = _getStatus2.default;
exports.getResources = _getResources2.default;