'use strict';

exports.__esModule = true;
exports.updateSucceed = exports.updateIdle = exports.updateFail = exports.update = undefined;

var _reducerGenerator = require('../utils/reducer-generator');

var _reducerGenerator2 = _interopRequireDefault(_reducerGenerator);

var _cruReducerHelper = require('../utils/cru-reducer-helper');

var _cruReducerHelper2 = _interopRequireDefault(_cruReducerHelper);

var _requestStatuses = require('../utils/request-statuses');

var _requestStatuses2 = _interopRequireDefault(_requestStatuses);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const update = (0, _reducerGenerator2.default)('update', _requestStatuses2.default.PENDING);
const updateFail = (0, _reducerGenerator2.default)('update', _requestStatuses2.default.FAILED);
const updateIdle = (0, _reducerGenerator2.default)('update', _requestStatuses2.default.IDLE);

function updateSucceed(state, action, options) {
  return (0, _cruReducerHelper2.default)(state, action, options, {
    updateStatus: _requestStatuses2.default.SUCCEEDED
  });
}

exports.update = update;
exports.updateFail = updateFail;
exports.updateIdle = updateIdle;
exports.updateSucceed = updateSucceed;